---
title: Import
---

<p>Vkládat data po jednom, příp. několika záznamech se nehodí, pokud těch dat existuje hodně.
    Naštěstí se STM snaží takové operace usnadnit. Každý import probíhá vždy podle stejného
    scénáře:
</p>
<ol>
    <li>Zadání formátu jednoho řádku dat a vložení importovaných dat.</li>
    <li>STM se pokusí naparsovat vstupní data a použít je k ověření, zda půjdou úspěšně použít.
        Ve druhém kroku vždy uvidíte tabulku, kde neplatné řádky nebudou zaškrtnuté a budou u nich
        vypsány chyby. Takové řádky můžete buď opravit a zašktnout, nebo nechat nezaškrnutné (nebudou importovány).
    </li>
    <li>Informace o provedeném importu - počet úspěšně vytvořených objektů, seznam chyb pro neúspěšné řádky.</li>
</ol>

<h2>Import zápasů do soutěže</h2>
<p>Import, který bude zahrnovat největší počty vytvořených objektů. Můžete importovat neodehrané zápasy, ale 
u zápasů můžete specifikovat i periody zápasu. Video z importu rozpisu z fotbal.cz najdete v 
<a href="<%= webPrefix %>/pluginy/fotbalcz.html">pluginech</a>. Příklad importu 3 zápasů, kde u jednoho znám výsledek obou
poločasů, u jednoho znám jen konečný výsledek a u posledního neznám žádné skóre:</p>
<code>{H};{A};{V}:{O};{V}:{O} <span>// formát</span>
AAA;BBB;2:0;0:0
AAA;BBB;2:0
AAA;BBB
</code>

<h2>Import týmů a klubů</h2>
<p>Lze použít pouze import klubů, příp. pouze pro import týmů (jméno klubu bude vytvořeno podle jména týmů) nebo
importovat týmy i kluby zároveň. Viz následující příklad se všemi variantami, kde dojde k vytvoření 3 klubů a 2 týmů:</p>
<code>{T};{C} <span>// formát</span>
Můj tým; <span>// vytvoří Můj tým a zároveň klub Můj tým</span>
;Můj klub <span>// vytvoří pouze klub</span>
Tým;Klub <span>// vytvoří klub a tým</span>
</code>

<h2>Import osob</h2>
<p>U osob se vždy musí importovat jméno, příjmení a volitelně i datum narození.
Pokud chcete rovnou zařadit osoby i do existujících týmů, tak musí specifikovat
jméno týmu a jméno pozice pro nového týmového člena.</p>

<h2>Import tabulky sezóny</h2>
<p>Možná vás napadá a k čemu je vlastně potřeba? Ale vemte si, že spoušíte STM na 
  novém webu a z historických archivů máte k dispozici pouze výsledky zápasů vašeho týmu a 
  celkovou tabulku. Takže když naimportujete zápasy, tak zjistíte, že ve vypočtené
  tabulce mají ostatní týmy třeba jen 2 odehrané zápasy. Přesně takové sezóny bych si pak
  v <a href="<%= webPrefix %>/help/module/settings.html">nastavení</a> označil jako soutěže, kterým se nemá 
  mazat cache.</p>

<h2>Poznámka k formátu</h2>
<p>Formát musí odpovídat vzoru <code class="inline">{značka}oddělovač{značka}</code>. To znamená,
že nemohou být 2 oddělovače vedle sebe. Pro takový případ se hodí využít značku pro obklopující text, který
v tomto případě nebude představovat nic, např. pro 2 středníky vedle sebe:</p>
<code>;{W};</code>

<h2>Které uživatelské skupiny mají přístup?</h2>
<ul>
    <li>Pouze <strong>administrátor</strong></li>
</ul>